Subject: Re: linux-next: build failure after merge of the driver-core tree

From: Greg KH <[email-masked]>
Date: Thu, 22 Aug 2013 08:36:25 -0700

On Thu, Aug 22, 2013 at 03:39:42PM +1000, Stephen Rothwell wrote:
> Hi Greg,
> 
> After merging the driver-core tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> In file included from include/linux/kobject.h:21:0,
>                  from include/linux/module.h:16,
>                  from drivers/acpi/bgrt.c:11:
> drivers/acpi/bgrt.c: In function 'bgrt_init':
> drivers/acpi/bgrt.c:89:23: error: 'image_attr' undeclared (first use in this function)
>   sysfs_bin_attr_init(&image_attr);
>                        ^
> include/linux/sysfs.h:53:3: note: in definition of macro 'sysfs_attr_init'
>   (attr)->key = &__key;    \
>    ^
> drivers/acpi/bgrt.c:89:2: note: in expansion of macro 'sysfs_bin_attr_init'
>   sysfs_bin_attr_init(&image_attr);
>   ^
> drivers/acpi/bgrt.c:89:23: note: each undeclared identifier is reported only once for each function it appears in
>   sysfs_bin_attr_init(&image_attr);
>                        ^
> include/linux/sysfs.h:53:3: note: in definition of macro 'sysfs_attr_init'
>   (attr)->key = &__key;    \
>    ^
> drivers/acpi/bgrt.c:89:2: note: in expansion of macro 'sysfs_bin_attr_init'
>   sysfs_bin_attr_init(&image_attr);
>   ^
> 
> Presumably caused by commit 65f44679580d ("ACPI: bgrt: take advantage of
> binary sysfs groups").

It's as if I never even built the patch I submitted, I have no idea what
happened here, sorry about that.

I've now fixed it up, it should be fine for the next linux-next release.

thanks,

greg k-h